zenilib: ogg_packet Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
ogg_packet Struct Reference

`#include <ogg.h>`

## Public Attributes

long | b_o_s
long | bytes
long | e_o_s
ogg_int64_t | granulepos
unsigned char * | packet
ogg_int64_t | packetno

## Detailed Description

Definition at line 90 of file ogg.h.

## Member Data Documentation

long ogg_packet::b_o_s

Definition at line 93 of file ogg.h.

Referenced by _packetout(), vorbis_analysis(), vorbis_analysis_headerout(), vorbis_bitrate_flushpacket(), vorbis_commentheader_out(), vorbis_synthesis_headerin(), and vorbis_synthesis_idheader().

long ogg_packet::bytes

Definition at line 92 of file ogg.h.

Referenced by _fetch_and_process_packet(), _packetout(), ogg_stream_packetin(), vorbis_analysis(), vorbis_analysis_headerout(), vorbis_bitrate_flushpacket(), vorbis_commentheader_out(), vorbis_packet_blocksize(), vorbis_synthesis(), vorbis_synthesis_headerin(), vorbis_synthesis_idheader(), and vorbis_synthesis_trackonly().

long ogg_packet::e_o_s

Definition at line 94 of file ogg.h.

Referenced by _fetch_and_process_packet(), _packetout(), ogg_stream_packetin(), vorbis_analysis(), vorbis_analysis_headerout(), vorbis_bitrate_flushpacket(), vorbis_commentheader_out(), vorbis_synthesis(), and vorbis_synthesis_trackonly().

ogg_int64_t ogg_packet::granulepos

Definition at line 96 of file ogg.h.

Referenced by _fetch_and_process_packet(), _packetout(), ogg_stream_packetin(), ov_pcm_seek(), ov_pcm_seek_page(), ov_raw_seek(), vorbis_analysis(), vorbis_analysis_headerout(), vorbis_bitrate_flushpacket(), vorbis_commentheader_out(), vorbis_synthesis(), and vorbis_synthesis_trackonly().

unsigned char* ogg_packet::packet

Definition at line 91 of file ogg.h.

Referenced by _packetout(), ogg_packet_clear(), ogg_stream_packetin(), vorbis_analysis(), vorbis_analysis_headerout(), vorbis_bitrate_flushpacket(), vorbis_commentheader_out(), vorbis_packet_blocksize(), vorbis_synthesis(), vorbis_synthesis_headerin(), vorbis_synthesis_idheader(), and vorbis_synthesis_trackonly().

ogg_int64_t ogg_packet::packetno

Definition at line 98 of file ogg.h.

Referenced by _packetout(), vorbis_analysis(), vorbis_analysis_headerout(), vorbis_bitrate_flushpacket(), vorbis_commentheader_out(), vorbis_synthesis(), and vorbis_synthesis_trackonly().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libogg/include/ogg/ogg.h